cutlass::TileTraitsStandard< Tile_, Threads > Struct Template Reference

Chooses 'best' shape to enable warp raking along contiguous dimension if possible.

`#include <tile_traits_standard.h>`

## Public Types

typedef Tile_ | Tile
| Shape of tile. More...

## Static Public Attributes

static int const | kThreads = Threads
| Number of participating threads. More...
static int const | kWarpSize = 32
| Hard-coded warp size. More...
static int const | kWarpCount = kThreads / kWarpSize
| Number of participating warps. More...

## Member Typedef Documentation

## Tile

template<typename Tile_ , int Threads>

typedef Tile_ cutlass::TileTraitsStandard< Tile_, Threads >::Tile

## Member Data Documentation

## kThreads

template<typename Tile_ , int Threads>

int const cutlass::TileTraitsStandard< Tile_, Threads >::kThreads = Threads

static

## kWarpCount

template<typename Tile_ , int Threads>

int const cutlass::TileTraitsStandard< Tile_, Threads >::kWarpCount = kThreads / kWarpSize

static

## kWarpSize

template<typename Tile_ , int Threads>

int const cutlass::TileTraitsStandard< Tile_, Threads >::kWarpSize = 32

static

The documentation for this struct was generated from the following file:

- tile_traits_standard.h